Bug 537021 - python-suds package unusable in EPEL4.
Summary: python-suds package unusable in EPEL4.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-suds
Version: el4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Ortel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: ActualBug
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-12 08:59 UTC by Steve Traylen
Modified: 2012-03-01 20:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-01 20:03:09 UTC


Attachments (Terms of Use)

Description Steve Traylen 2009-11-12 08:59:46 UTC
Description of problem:

EPEL4 contains python-suds-0.3.5-1.el4 and while it can be
installed it is unusable.

Version-Release number of selected component (if applicable):
python-suds-0.3.5-1.el4

How reproducible:
Every time.

Steps to Reproduce:
1. Install python-suds-0.3.5-1.el4 from EPEL on RHEL/Centos4
2. # python
Python 2.3.4 (#1, Jul 28 2009, 09:19:57) 
[GCC 3.4.6 20060404 (Red Hat 3.4.6-11)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import suds.client
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.3/site-packages/suds/client.py", line 59
    @classmethod
    ^
SyntaxError: invalid syntax

3. Also it requires cookielib only available in newer pythons.

# python
Python 2.3.4 (#1, Jul 28 2009, 09:19:57)
[GCC 3.4.6 20060404 (Red Hat 3.4.6-11)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import suds.client
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.3/site-packages/suds/client.py", line 59
    @classmethod
    ^
SyntaxError: invalid syntax
>>> import cookielib
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: No module named cookielib

  
Actual results:

python exits and the module can't be loaded.

Expected results:

The module should load okay or I fear be removed from EPEL4 in
the first place.


Additional info:

Comment 1 Kevin Fenzi 2012-03-01 20:03:09 UTC
EPEL-4 has reached end of life and is no longer supported. 

Please retest your bug against EPEL-5 or EPEL-6 and re-open if the bug persists in the packages available in those releases, or file a new bug. 

See: http://lists.fedoraproject.org/pipermail/epel-announce/2012-February/000015.html


Note You need to log in before you can comment on or make changes to this bug.